Page MenuHomePhabricator

Show related articles when user is editing a collection
Closed, ResolvedPublic

Description

When the user creates or edits a collection, show similar pages in order to suggest them interesting pages to add to their collection.

Design discussed in person with @KHammerstein.

Using the cirrussearch extension's api via query search morelike.

Event Timeline

Jhernandez claimed this task.
Jhernandez raised the priority of this task from to Needs Triage.
Jhernandez updated the task description. (Show Details)
Jhernandez moved this task to In development on the Gather Sprint Help! board.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 9:35 AM

Change 214320 had a related patch set uploaded (by Jhernandez):
WIP: Show related pages when editing 1 item collection

https://gerrit.wikimedia.org/r/214320

@Jhernandez We could always show suggested articles, even after they have more than 1 item in the collection. What do you think?

@KHammerstein Definitely. I thought we could only get related pages from 1 article, but I learned that you can actually pass in a bunch of articles and it'll give you similar pages (not sure in what order though).

For example for Marie Curie and Radium we get this:

Period 7 element
Radon
Radium and radon in the environment
Polonium
Naturally occurring radioactive material
Bronisława Dłuska
Radium bromide
Curie
Uranium tailings
Alkaline earth metal
Jhernandez renamed this task from Show related articles when user is editing a collection of 1 element to Show related articles when user is editing a collection.Jun 2 2015, 11:48 AM
Jhernandez updated the task description. (Show Details)

Change 214320 had a related patch set uploaded (by Jhernandez):
Show related pages when editing 1 to 3 items collections
https://gerrit.wikimedia.org/r/214320

Commit message is pretty extensive on how to review, and here's a gif of what you're supposed to see.

Sorry about the length of the patch, there's a few moving parts and our code is fairly verbose.

Change 214320 merged by jenkins-bot:
Show related pages when editing 1 to 3 items collections

https://gerrit.wikimedia.org/r/214320

Jdlrobson added a subscriber: Jdlrobson.EditedJun 10 2015, 3:16 PM

@Jhernandez how can we make this testable on beta labs?

Jdlrobson moved this task from Needs triage to Product triage on the Gather board.Jun 10 2015, 3:17 PM
Jdlrobson moved this task from Product triage to Could have on the Gather board.Jun 10 2015, 7:24 PM
phuedx added a subscriber: phuedx.Jun 11 2015, 11:06 AM

@KHammerstein @JKatzWMF: This will be deployed on 16th (see above) unless you say otherwise.

This isn't a bug. It's an enhancement. Why doesn't it have SP?

@phuedx it's magic points, that's why you can't see them

@phuedx seriously though, it was a piece of work that we came up with during the hackathon and i tackled it during the unstructured sprint. Should we posthumously estimate it?

That's good enough. I didn't know where the story came from, which I failed to articulate.

phuedx closed this task as Resolved.Jun 16 2015, 11:38 AM

Verified this on BC. Neato!

@Jhernandez @phuedx Looks great! I sign off on it, I know its already done. :)
Weird cropping on Dogs in Religion - that might be a separate thing.

I'm going to do a little user testing on it to make sure people understand what it is and how to add these pages to their collection.